<?xml version='1.0' encoding='utf-8'?>

<creole>

    <containers>
        <container name="web">
            <service servicelist="eoleapps">eoleapps</service>
            <service servicelist="eoleapps" method="apache">eoleapps-apache</service>
            <file filelist="eoleapps" name="/etc/apache2/sites-available/eoleapps-apache" source="apache-eoleapps.conf" />
            <file filelist="eoleapps" name="/etc/eole/flask/eoleapps.py" />
        </container>
    </containers>

    <variables>

        <family name='eoleflask'>
            <variable name='activer_eoleapps' type='oui/non' description="Activer le service eoleapps">
                <value>non</value>
            </variable>
        </family>

    </variables>

    <constraints>
        <condition name="disabled_if_in" source="activer_apache">
            <param>non</param>
            <target type='variable'>activer_eoleapps</target>
        </condition>

        <condition name="disabled_if_in" source="activer_eoleapps">
            <param>non</param>
            <target type='servicelist'>eoleapps</target>
            <target type='filelist'>eoleapps</target>
        </condition>
    </constraints>

    <help>
        <variable name="activer_eoleapps">Serveur d'applications flask EOLE</variable>
    </help>

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
